<div class="m-2">

    <div *ngIf="currentScreen === MAIN">
        <app-billing-summary [model]="billingSummary"></app-billing-summary>


        <div class="invoice-class-action-container">
            <div class="invoice-class-action-container d-flex justify-content-end">
                <button mat-stroked-button class="invoice-alertbtn mr-2" (click)="currentScreen = MERGE_INVOICE;">
                    Merge Invoice
                </button>
                <button mat-stroked-button class="gen-statement-btn mr-2" (click)="generateInvoice()">
                    Generate Statement
                </button>
                <button mat-stroked-button class="mr-2 normal_14px_16px_font" (click)="onAddCreditClick()">
                    Add Credit
                </button>
                <button mat-raised-button class="add-invoice-btn" (click)="currentScreen = ADD_INVOICE;">
                    Add Invoice
                </button>
            </div>

            <div>
                <div class=" d-flex align-items-center mt-3">
                    <div class="flex-fill">
                        <button class="booking-appt-class-btn btn-tab" (click)="onInvoiceTabClick()"
                                [class.btn-tab-active]="invoiceTab">
                            Invoices ({{this.nonVoidedInvoices.length}})
                        </button>
                        <button class="planned-service-btn btn-tab ml-2" (click)="onVoidTabClick()"
                                [class.btn-tab-active]="!invoiceTab">
                            Voided ({{this.voidedInvoices.length}})
                        </button>
                    </div>

                    <div class="d-flex justify-content-end align-items-center">

                        <div class="d-flex">
                            <mat-chip-list>
                                <mat-chip
                                        *ngFor="let filter of appliedFilters; let i = index;"
                                        class="bg-white"
                                        style="border: 1px solid #ABAAB0; font-size: 12px"
                                        (removed)="removeFilter(filter, i)">
                                    Filter By {{filter.text}}
                                    <mat-icon matChipRemove style="font-size: 22px; width: 22px; height: 22px;">highlight_off</mat-icon>
                                </mat-chip>
                            </mat-chip-list>
                        </div>

                        <button class="no-border-bg-btn" (click)="openFilterPopup($event)">
                            <span class="k-icon k-i-filter" style="font-size: 22px; color: #575757;"></span>
                        </button>

                    </div>
                </div>

                <div class="mt-3" *ngIf="invoiceTab">
                    <app-invoices (loadData)="getBillingData()" [voidedTab]="!invoiceTab" [billingPage]="false"
                                  *ngIf="nonVoidedInvoices.length > 0" [invoices]="nonVoidedInvoices"
                                  [patientId]="patientId" [paymentTypes]="paymentTypes">
                    </app-invoices>

                    <app-grid-no-data *ngIf="nonVoidedInvoices.length == 0" title="You haven't added a Invoice"
                                      description="description">
                    </app-grid-no-data>
                </div>
                <div class="mt-3" *ngIf="!invoiceTab">
                    <app-invoices (loadData)="getBillingData()" [voidedTab]="invoiceTab" [invoices]="voidedInvoices" [billingPage]="false"
                                  [patientId]="patientId" [paymentTypes]="paymentTypes" >
                    </app-invoices>
                </div>
            </div>
        </div>
    </div>

    <div class="mt-2" *ngIf="currentScreen === MERGE_INVOICE">
        <app-merge-invoices
                [invoices]="invoices"
                [paymentTypes]="paymentTypes"
                (cancel)="currentScreen = MAIN"></app-merge-invoices>
    </div>

    <div *ngIf="currentScreen === ADD_INVOICE">
        <app-invoice-form (cancel)="currentScreen = MAIN" [isBillingPage]="false" [patientId]="patientId"></app-invoice-form>
    </div>
</div>

<dx-popover #filterPopup class="grid-action-popup" [width]="180"
            [height]="'auto'" [shading]="false" [position]="{my: 'right top', at: 'right bottom'}">
    <div *dxTemplate="let data of 'content'">
        <span>{{data}}</span>
        <button class="grid-action-popup-button text-left" (click)="filter(FILTER_DATE)">
            Date
        </button>
        <button class="grid-action-popup-button text-left" (click)="filter(FILTER_STATUS)">
            Status
        </button>
        <button class="grid-action-popup-button text-left" (click)="filter(FILTER_PAYER)">
            Payer
        </button>
        <button class="grid-action-popup-button text-left" (click)="filter(FILTER_PRACTITIONER)">
            Practitioner
        </button>
    </div>
</dx-popover>
